<nz-card *ngIf="canView" nzSize="small" nzTitle="Notes" style="margin-top: 12px" [nzExtra]="allNotes"
  [nzLoading]="isLoading">
  <nz-comment [nzAuthor]="item.entity?.name" nzDatetime="{{ item.createdOn }}" *ngFor="let item of simpleList">
    <nz-comment-content>
      {{ item.content }}
    </nz-comment-content>
  </nz-comment>
  <ng-template #allNotes>
    <button nz-button nzShape="round" nzSize="small" (click)="allNotesVisible = true">
      {{ "Common.Buttons.ViewAll" | translate }} ({{ list.length }})
    </button>
  </ng-template>
</nz-card>

<nz-modal nzTitle="All notes" [nzVisible]="allNotesVisible" nzClosable="true" nzMask="false"
  (nzOnCancel)="allNotesVisible = false" nzWidth="70%" [nzFooter]="null">
  <ng-container *nzModalContent>
    <nz-comment>
      <nz-comment-content>
        <nz-form-item>
          <textarea [(ngModel)]="newNote" nz-input rows="3"></textarea>
        </nz-form-item>
        <nz-form-item>
          <button nz-button nzShape="round" nzType="primary" [nzLoading]="isLoading" [disabled]="!newNote" (click)="addNewNote()">
            {{ "Common.Buttons.AddNote" | translate }}
          </button>
        </nz-form-item>
      </nz-comment-content>
    </nz-comment>

    <nz-comment [nzAuthor]="item.entity?.name" nzDatetime="{{ item.createdOn }}" *ngFor="let item of list">
      <nz-comment-content>
        {{ item.content }}
      </nz-comment-content>
    </nz-comment>
  </ng-container>
</nz-modal>